# -*- coding: utf-8 -*-
from setuphelpers import *
import platform

uninstallkey = []

# Defining variables
bin_name = "Silverlight.exe"
silent_args = "/q /noupdate"
app_uninstallkey = "{89F4137D-6C26-4A84-BDB8-2E5A4BB71E00}"


def install():
    # Initializing variables
    package_version = control.version.split("-")[0]

    # Installing the package
    print("Installing %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags=silent_args,
        key=app_uninstallkey,
        min_version=package_version,
    )


def session_setup():
    print("Disabling: check for updates")
    registry_set(HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Silverlight", "UpdateMode", 2, type=REG_DWORD)
    # registry_set(HKEY_CURRENT_USER, r'SOFTWARE\Microsoft\Silverlight', 'GPUVideoDecodeEnabled', 0, type=REG_DWORD)
    # registry_set(HKEY_CURRENT_USER, r'SOFTWARE\Microsoft\Silverlight', 'DRMEnabled', 0, type=REG_DWORD)
    registry_delete(HKEY_CURRENT_USER, r"SOFTWARE\Microsoft\Silverlight", "DRMEnabled")


def update_package():
    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    wget(
        "https://web.archive.org/web/20211012234819if_/https://download.microsoft.com/download/D/D/F/DDF23DF4-0186-495D-AA35-C93569204409/50918.00/Silverlight.exe",
        bin_name,
        proxies=proxies,
    )
